Package twisted :: Package internet :: Module default

[show private | hide private]
[frames | no frames]

## Module twisted.internet.default

Default reactor base classes, and a select() based reactor.

API Stability: stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`PosixReactorBase` | A basis for reactors that use file descriptors.
`SelectReactor` | A select() based reactor - runs on all POSIX platforms and on Win32.
`_UnixWaker` | This class provides a simple interface to wake up the select() loop.
`_Waker` | This class provides a simple interface to wake up the select() loop.
`_Win32Waker` | I am a workaround for the lack of pipes on win32.

Function Summary
| ``install`()` Configure the twisted mainloop to be run using the select() reactor.
| ``win32select`(r, w, e, timeout)` Win32 select wrapper.

Variable Summary
`ConnectionLost` | `CONNECTION_LOST`
`int` | `EBADF`
`int` | `EINTR`
`Platform` | `platform`
`dictionary` | `reads`
`int` | `sslEnabled`
`int` | `unixEnabled`
`dictionary` | `writes`

Function Details

### install()

Configure the twisted mainloop to be run using the select() reactor.

### win32select(r, w, e, timeout=None)

Win32 select wrapper.

Variable Details

### CONNECTION_LOST

  Type:
    `ConnectionLost`
  Value:

        <twisted.internet.error.ConnectionLost instance at 0x833eb04>

### EBADF

  Type:
    `int`
  Value:

        9

### EINTR

  Type:
    `int`
  Value:

        4

### platform

  Type:
    `Platform`
  Value:

        <twisted.python.runtime.Platform instance at 0x8287864>

### reads

  Type:
    `dictionary`
  Value:

        {<twisted.internet.default._UnixWaker instance at 0x81e9c54>: 1,
         <twisted.internet.default._UnixWaker instance at 0x8581ed4>: None,
         <twisted.internet.default._UnixWaker instance at 0x85f459c>: None}

### sslEnabled

  Type:
    `int`
  Value:

        0

### unixEnabled

  Type:
    `int`
  Value:

        1

### writes

  Type:
    `dictionary`
  Value:

        {}

Generated by Epydoc 1.1 on Sat Feb 15 21:19:03 2003 | http://epydoc.sf.net